public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-mypy-plugins/
Date: Sat,  2 Mar 2024 07:10:47 +0000 (UTC)	[thread overview]
Message-ID: <1709335105.20049e242c0fb8fc185ac5a4837406534d043d47.arthurzam@gentoo> (raw)

commit:     20049e242c0fb8fc185ac5a4837406534d043d47
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Fri Mar  1 23:18:25 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Mar  1 23:18:25 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=20049e24

dev-python/pytest-mypy-plugins: add 3.1.0

Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 dev-python/pytest-mypy-plugins/Manifest            |  1 +
 .../pytest-mypy-plugins-3.1.0.ebuild               | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/pytest-mypy-plugins/Manifest b/dev-python/pytest-mypy-plugins/Manifest
index 35c418d577..a4509d2f93 100644
--- a/dev-python/pytest-mypy-plugins/Manifest
+++ b/dev-python/pytest-mypy-plugins/Manifest
@@ -1 +1,2 @@
 DIST pytest-mypy-plugins-3.0.0.gh.tar.gz 20643 BLAKE2B e9b124b23f0e606b8d6f098c5834f8b70b44a6d7f374b0d4132c1fc47429a7a72a98ac96edd61a21969d4bc46a27c49cda35a9e0f71ed93361e0346debe643af SHA512 a2c35b4b57cf8eff6ac303a7394f798e3b96359c1e0e6424d57f0c5680cf00b6e84b7a11bb138c4ab3c7464f13ad0fd6358e9f2c5957b36eec1d2835e31edcd7
+DIST pytest-mypy-plugins-3.1.0.gh.tar.gz 24331 BLAKE2B b4cae94e254f8da0ef8cd081479cbee4522150843ef3bbbd16ae6efe6722e44e84aa49e761e99699b75c94f8b44963e8f9eeefb5c5b3352411df4801a1bbc5b4 SHA512 4892b653b9cd2bbe5cd253c5f0472d48a6eaf5e1261d53ef0f1c53470c2589baf21d428a0873c64acca71eec38ef9653ec501e0746ffc564d30830ba68148f91

diff --git a/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.1.0.ebuild b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.1.0.ebuild
new file mode 100644
index 0000000000..240e457a1e
--- /dev/null
+++ b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.1.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11,12} )
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin for testing mypy types, stubs, plugins"
+HOMEPAGE="
+	https://pypi.org/project/pytest-mypy-plugins/
+	https://github.com/typeddjango/pytest-mypy-plugins/
+"
+
+SRC_URI="https://github.com/typeddjango/pytest-mypy-plugins/archive/refs/tags/${PV}.tar.gz
+	-> ${P}.gh.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DOCS="README* CHANGELOG*"
+
+RDEPEND="
+	>=dev-python/mypy-1.3.0[${PYTHON_USEDEP}]
+	>=dev-python/pytest-7.0.0[${PYTHON_USEDEP}]
+	>=dev-python/tomlkit-0.11[${PYTHON_USEDEP}]
+	dev-python/decorator[${PYTHON_USEDEP}]
+	dev-python/jinja[${PYTHON_USEDEP}]
+	dev-python/jsonschema[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/regex[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# tests need pytest_mypy_plugins.tests on the modules search path and
+	# python -m pytest preprends sys.path with ${S}
+	sed "s/\"pytest\"/\"MY_EPYTHON\", \"-m\", \"pytest\"/" \
+		-i pytest_mypy_plugins/tests/test_explicit_configs.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	# substitute the correct interpreter
+	sed "s/MY_EPYTHON/${EPYTHON}/" -i pytest_mypy_plugins/tests/test_explicit_configs.py || die
+	distutils-r1_python_test
+	# reset for next interpreter run
+	sed "s/${EPYTHON}/MY_EPYTHON/" -i pytest_mypy_plugins/tests/test_explicit_configs.py || die
+}


             reply	other threads:[~2024-03-02  7:10 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-02  7:10 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-25  2:27 [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-mypy-plugins/ Julien Roy
2024-02-25  2:27 Julien Roy
2023-08-29  5:39 Viorel Munteanu
2023-07-01 18:15 Haelwenn Monnier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1709335105.20049e242c0fb8fc185ac5a4837406534d043d47.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox